apiVersion: apps/v1
kind: Deployment
metadata:
  name: spring-order
spec:
  selector:
    matchLabels:
      app: spring-order
  replicas: 1
  template:
    metadata:
      labels:
        app: spring-order
    spec:
      containers:
        - name: spring-order
          image: noviantoro/spring-order
          ports:
            - containerPort: 8082
          env:
            - name: SPRING_DATASOURCE_URL
              valueFrom:
                configMapKeyRef:
                  name: postgres-configmap
                  key: postgres-url
            - name: SPRING_DATASOURCE_USERNAME
              valueFrom:
                secretKeyRef:
                  name: postgres-secret
                  key: username
            - name: SPRING_DATASOURCE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: postgres-secret
                  key: password

---
apiVersion: v1
kind: Service
metadata:
  name: spring-order-service
spec:
  selector:
    app: spring-order
  ports:
  - protocol: TCP
    port: 8082
    targetPort: 8082